gettext (0.19.8.1-9.1.lnd.2) unstable; urgency=medium

  * Modify string content.

 -- Yaling Fang <fangyaling@loongson.cn>  Tue, 09 Aug 2022 09:45:43 +0800

gettext (0.19.8.1-9.1.lnd.1) unstable; urgency=medium

  * Modify string content.

 -- root <root@loongson-pc>  Mon, 30 May 2022 18:45:43 +0800

gettext (0.19.8.1-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:45:43 +0800

gettext (0.19.8.1-9) unstable; urgency=medium

  * Fix double-free problem with *.po file input. Closes: #913173.
    Patch extracted from upstream git where it was fixed by Daiki Ueno.
    For reference, this is CVE-2018-18751.
  * Add bison to Build-Depends, required by the above.

 -- Santiago Vila <sanvila@debian.org>  Sat, 10 Nov 2018 18:34:46 +0100

gettext (0.19.8.1-8) unstable; urgency=medium

  * Fix FTBFS with Java 11, by applying Java related patches from
    upstream git (gnulib). Thanks to Emmanuel Bourg <ebourg@apache.org>
    for the report and Bruno Haible <bruno@clisp.org> for the fix.
    Closes: #910246.

 -- Santiago Vila <sanvila@debian.org>  Sat, 06 Oct 2018 14:00:40 +0200

gettext (0.19.8.1-7) unstable; urgency=medium

  * Use dh_autoreconf to regenerate autoconf stuff. New automake
    version 1.16 in buster makes gettext to FTBFS because we are
    modifying m4 files and the orig.tar.gz was created with 1.15.
  * Update versioned build-dependency on debhelper accordingly.
  * Disable libtoolize for the above to work.
  * Rules-Requires-Root: no.

 -- Santiago Vila <sanvila@debian.org>  Sun, 12 Aug 2018 22:00:10 +0200

gettext (0.19.8.1-6) unstable; urgency=medium

  * Apply all Java 9 related patches from upstream git instead
    of the patch from openSUSE. This fixes gettext FTBFS bug
    in a different way and also fixes msgfmt. Closes: #892733.
    Thanks a lot to Bruno Haible.

 -- Santiago Vila <sanvila@debian.org>  Sat, 24 Mar 2018 19:32:04 +0100

gettext (0.19.8.1-5) unstable; urgency=medium

  * Fix heap corruption in msgunfmt. Patch from Bruno Haible taken from
    upstream git. Thanks to Jakub Wilk. Closes: #876498.
  * Recommend lynx instead on lynx-cur.
    Thanks to Axel Beckert for the report. Closes: #882284.
  * Stop xgettext() from crashing when run with --its=FILE option.
    Patch taken from git. Thanks to Gunnar Hjalmarsson. Closes: #891347.
  * Support "nojava" instead of "stage1" in DEB_BUILD_PROFILES.
    Thanks to Manuel Fernández Montecelo. Closes: #893064.
  * Build with OpenJDK 9. Patch from Tiago Stürmer Daitx, adapted
    from openSUSE. Thanks a lot. Closes: #893739.
  * Move libgettextsrc, libgettextlib, and preloadable_libintl
    to multiarch directory as done on Ubuntu.
  * Use https in Bug-Debian field of Debian patches.

 -- Santiago Vila <sanvila@debian.org>  Sat, 24 Mar 2018 12:24:50 +0100

gettext (0.19.8.1-4) unstable; urgency=medium

  * Avoid extraneous NUL bytes in .mo files. Closes: #872869.
    Patch based on commit 2bad4d89684303fe884410ab0ae53770df6a6093
    by Bruno Haible. Reported by Jakub Wilk. Thanks a lot.

 -- Santiago Vila <sanvila@debian.org>  Tue, 22 Aug 2017 03:20:24 +0200

gettext (0.19.8.1-3) unstable; urgency=medium

  * Add g++ (>= 4:7) to Build-Depends to ensure it's built with GCC 7.
  * Update shlibs file for libasprintf0v5. Closes: #871271.
  * msgfmt: Remove POT-Creation-Date field from the header in the output.
    Taken from upstream commit d13f165b83701dffc14f7151419e0c00c00c0d1b.
    Should help reproducible builds. Closes: #792687, #825436.
  * Drop spurious spaces/tabs in the changelog.
  * Activate ldconfig via triggers.
  * Build against libunistring2.
  * Rename patches to *.patch.

 -- Santiago Vila <sanvila@debian.org>  Sun, 20 Aug 2017 22:50:10 +0200

gettext (0.19.8.1-2) unstable; urgency=medium

  * Use debhelper more.
  * Try to support cross-builds. Closes: #833894.
  * Disable OpenMP support on m68k and sh4. Closes: #846932.

 -- Santiago Vila <sanvila@debian.org>  Mon, 23 Jan 2017 23:11:50 +0100

gettext (0.19.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop 02-msgfmt-default-little-endian. Adopted upstream.
  * Regression regarding Glade support should be fixed. Closes: #824642.
  * Make debian/rules shorter by using some debhelper commands.
  * Rename some debian/* files to adopt debhelper naming scheme.

 -- Santiago Vila <sanvila@debian.org>  Mon, 13 Jun 2016 01:06:00 +0200

gettext (0.19.7-2) unstable; urgency=high

  * Install version specific data files from /usr/share/gettext-VERSION.
    This should fix glade support. Thanks to Daiki Ueno. Closes: #809846.

 -- Santiago Vila <sanvila@debian.org>  Tue, 05 Jan 2016 00:55:00 +0100

gettext (0.19.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop libexpat1-dev from Build-Depends, following upstream.

 -- Santiago Vila <sanvila@debian.org>  Tue, 29 Dec 2015 18:27:12 +0100

gettext (0.19.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/03-fix-gettextize-version. No longer needed.
  * Drop dependency of gettext-base on libasprintf0v5 as it dates from
    a split made in release 0.18.1.1-6.
  * Keep curl and friends in Recommends, for translators.
    Move autopoint, libasprintf-dev and libgettextpo-dev to Suggests.
  * Downgrade libasprintf0v5 to optional.
  * Add debian/upstream/signing-key.asc and improve debian/watch file.
  * Makefile.in.in has now a general mechanism to set the header of
    a POT file, using $(DOMAIN).pot-update. This could be used to set
    copyright holders and other things. Closes: #682580.
  * Fix po-mode handling of msgfmt version number. Closes: #798903.
  * Drop Pre-Depends on multiarch-support, because a stable release
    has already happened.

 -- Santiago Vila <sanvila@debian.org>  Mon, 14 Sep 2015 00:32:52 +0200

gettext (0.19.5.1-1) unstable; urgency=medium

  * New upstream release.
  * New C++ ABI. libasprintf0c2 becomes libasprintf0v5.
    Thanks a lot to Matthias Klose. Closes: #793897.
  * Add patches/03-fix-gettextize-version to avoid FTBFS bugs on
    packages using autopoint and friends. See bug-gettext for details.

 -- Santiago Vila <sanvila@debian.org>  Sun, 02 Aug 2015 21:25:10 +0200

gettext (0.19.4-1) unstable; urgency=low

  * New upstream release.
  * Fix msgunfmt segfaults. Closes: #772088.
  * Drop obsolete patches:
  - 03-libtool-powerpc-le.
  - 04-xgettext-fix-double-free.
  - 05-msgunfmt-fix-segfault.
  - 06-msgfilter-fix-read-buffer-allocation.
  - 99-config-guess-config-sub.
  * Drop way obsolete build-time test for glibc >= 2.2.
  * Drop debian/rules hack to keep timestamps.
  * Create md5sums in a reproducible way.
  * Fix mtimes before building binary packages.

 -- Santiago Vila <sanvila@debian.org>  Fri, 15 May 2015 18:01:02 +0200

gettext (0.19.3-2) unstable; urgency=low

  * xgettext: Fix double-free in singular/plural argument extraction.
    See http://lists.gnu.org/archive/html/bug-gettext/2014-10/msg00028.html
    Patch extracted from upstream commits 8137d2b and 84044b5.
  * msgunfmt: Fix segfault on certain (slightly corrupted) .mo files.
    Patch extracted from upstream commit abf93d1. Closes: #769901.
  * msgfilter: Fix read buffer allocation for empty input.
    See http://lists.gnu.org/archive/html/bug-gettext/2014-11/msg00008.html
    Patch extracted from upstream commit 06e206f.

 -- Santiago Vila <sanvila@debian.org>  Sun, 30 Nov 2014 12:10:20 +0100

gettext (0.19.3-1) unstable; urgency=low

  * New upstream release.
  * Updated /etc/emacs/site-start.d/50gettext.el to avoid error on .po
    inside a tar file. Thanks a lot to Kevin Ryde. Closes: #628644.
  * Report error on incomplete multibyte sequence. Closes: #763820.
  * Dropped infinite recursion patch, renumber remaining patches.
  * Dropped -I/usr/include/libxml2 hack in configure call introduced
    in version 0.17-7 as it's no longer needed.

 -- Santiago Vila <sanvila@debian.org>  Thu, 23 Oct 2014 15:35:14 +0200

gettext (0.19.2-3) unstable; urgency=medium

  * Applied patch by Eric Blake to autopoint.in and gettextize.in
    fixing an infinite recursion in m4 that prevented util-linux
    to be build. Closes: #764580.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Fri, 10 Oct 2014 00:24:52 +0200

gettext (0.19.2-2) unstable; urgency=medium

  * Added "Multi-Arch: foreign" to gettext-base. Closes: #760410.

 -- Santiago Vila <sanvila@debian.org>  Wed, 03 Sep 2014 22:08:00 +0200

gettext (0.19.2-1) unstable; urgency=low

  * New upstream release. Closes: #755221.
  * Dropped unused lintian overrides.
  * Dropped 05-quotes-around-pwd-in-project-id. Adopted upstream.
  * Use upstream tar.xz which is a lot smaller than tar.gz.
  * Added gettext-tools/src/msgfmt.c to the list of files
    touched by debian/rules, as we don't modify it so much
    that msgfmt.1 or msgfmt.1.html need to be regenerated.
    This will avoid a build dependency on groff (for now).

 -- Santiago Vila <sanvila@debian.org>  Thu, 24 Jul 2014 15:38:00 +0200

gettext (0.18.3.2-4) unstable; urgency=medium

  * Made gettext-el to depend on emacs, not emacs23. Closes: #754014.
  * Applied Ubuntu patch for little-endian powerpc. Closes: #754146.
    This would result in extra build-dependencies (autoconf) because
    of the timestamps, so we keep them in debian/rules before build.

 -- Santiago Vila <sanvila@debian.org>  Thu, 17 Jul 2014 11:17:00 +0200

gettext (0.18.3.2-3) unstable; urgency=medium

  * Added "Multi-Arch: foreign" to autopoint, to be used in cross-build
    environments. Closes: #753003. Thanks to Helmut Grohne.
  * Do not ship an empty usr/lib in gettext-base.

 -- Santiago Vila <sanvila@debian.org>  Mon, 30 Jun 2014 10:01:24 +0200

gettext (0.18.3.2-2) unstable; urgency=low

  * Updated build profile to use DEB_BUILD_PROFILES. Closes: #750044.
    Thanks a lot to Wookey for the patch.

 -- Santiago Vila <sanvila@debian.org>  Sun, 01 Jun 2014 11:02:52 +0200

gettext (0.18.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Dropped 07-disable-m4-include-when-tracing.

 -- Santiago Vila <sanvila@debian.org>  Thu, 16 Jan 2014 16:17:04 +0100

gettext (0.18.3.1-2) unstable; urgency=medium

  * Fixed autopoint problem that made coreutils build to fail.
    Patch by Daiki Ueno. Closes: #730321.

 -- Santiago Vila <sanvila@debian.org>  Wed, 27 Nov 2013 19:03:16 +0100

gettext (0.18.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sat, 17 Aug 2013 16:00:06 +0200

gettext (0.18.3-1) unstable; urgency=low

  * New upstream release.
  * xgettext now partially supports JavaScript. Closes: #590724.
  * xgettext and msgfmt's format string checking now recognize Python
    format string in braced syntax (PEP 3101). Closes: #668226.

 -- Santiago Vila <sanvila@debian.org>  Tue, 16 Jul 2013 11:32:34 +0200

gettext (0.18.2.1-1) unstable; urgency=low

  * New upstream release.
  * Changed Depends on libasprintf-dev and libgettextpo-dev to Recommends.
  * Drop libgettextlib.so and libgettextsrc.so, as those libraries are
    for internal use only and not meant to be used by other packages.
  * The infrastructure archive now uses xz compression. Closes: #660391.
    Changed Depends and Build-Depends accordingly.
  * Modified debian/rules to support bootstrapping. Closes: #709559.
  * Deprecated macro AM_PROG_MKDIR_P not used anymore. Closes: #709740.
  * Review of patches in debian/patches:
  * 01-do-not-use-java-in-urlget. Kept.
  * 02-no-usr-share-info-dir-gz. Dropped in favour of AM_UPDATE_INFO_DIR.
  * 03-fix-xgettext-crash. Dropped. Now upstream.
  * 04-new-scheme-syntax. Dropped. Now upstream.
  * 05-quotes-around-pwd-in-project-id. Kept.
  * 06-msgfmt-default-little-endian. Kept.
  * 07-eglibc-21.6-ftbfs-nogets. Dropped. Obsolete.
  * 99-config-guess-config-sub. Updated.

 -- Santiago Vila <sanvila@debian.org>  Thu, 30 May 2013 18:37:30 +0200

gettext (0.18.1.1-10) unstable; urgency=low

  * Split out libgettextpo-dev and libasprintf-dev for multiarch
    dependencies. Thanks to P.J McDermott for core patch. Closes: #683751.
  * Fix FTBFS on eglibc-2.16 (gets removal/outdated gnulib). Closes: #693361.
  * Thanks a lot to Colin Watson and Wookey, as they did all the work.
  * Keep autosprintf.info.gz in gettext for now, for safety.
  * Note: This is a "conservative release" which tries to be nice with
    autobuilders using unstable. After the release of wheezy, the following
    changes will be made: a) Change gettext Depends on the new -dev packages
    to just Recommends, and b) Drop libgettextsrc.so and libgettextlib.so,
    as those libraries are for internal use only and not meant to be used
    by other packages. Those changes will be made *regardless* of this release
    entering wheezy or not. Debian derivatives (like Ubuntu) are welcome to
    do them now, as it is what will eventually happen in Debian.

 -- Santiago Vila <sanvila@debian.org>  Wed, 28 Nov 2012 17:14:44 +0100

gettext (0.18.1.1-9) unstable; urgency=low

  * Build with hardened build flags.
  * Use Breaks instead of Conflicts for autopoint (lintian warning).
  * Use $(STRIP) on ELF binaries. not just on libraries.

 -- Santiago Vila <sanvila@debian.org>  Thu, 07 Jun 2012 12:08:00 +0200

gettext (0.18.1.1-8) unstable; urgency=low

  * Modified msgfmt to always create little endian .mo files.
    Thanks a lot to Steve Langasek. Closes: #671257.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Wed, 16 May 2012 13:54:32 +0200

gettext (0.18.1.1-7) unstable; urgency=low

  * Create symlinks required by new emacs policy using "ln -sf".
    Thanks to Agustín Martín. Closes: #671353.

 -- Santiago Vila <sanvila@debian.org>  Fri, 04 May 2012 18:35:31 +0200

gettext (0.18.1.1-6) unstable; urgency=low

  * Run dpkg-shlibdeps on libraries, as it should be. Closes: #670588.
    This makes --no-as-needed not required after all. Closes: #604778.
  * Put symlinks to .el files where emacs can find them, following
    the latest emacs policy. Closes: #664551.
  * Changed project-id to use quotes around pwd. Closes: #654779.
  * Split out libgettextpo0 for multiarch. Closes: #646034.
    Thanks a lot to Steve Langasek.
  * Split out libasprintf0c2 as well. For now, gettext-base depends
    on libasprintf0c2 so that it's not missed on upgrades, for this reason
    this library is Priority: standard as well. After the release of wheezy
    we can think about this again.
  * Dropped README.Debian, no longer needed.

 -- Santiago Vila <sanvila@debian.org>  Sat, 28 Apr 2012 18:40:40 +0200

gettext (0.18.1.1-5) unstable; urgency=low

  * Applied patch by Bruno Haible to teach xgettext about new scheme
    syntax. Reported by David Pirotte. Closes: #641371.

 -- Santiago Vila <sanvila@debian.org>  Wed, 05 Oct 2011 15:19:00 +0200

gettext (0.18.1.1-4) unstable; urgency=low

  * Applied patch by Bruno Haible to fix xgettext crash when extracting
    a message with plural that is excluded. Closes: #608181.
  * Dropped obsolete -D_REENTRANT. Use --enable-threads instead.

 -- Santiago Vila <sanvila@debian.org>  Fri, 05 Aug 2011 15:47:34 +0200

gettext (0.18.1.1-3) unstable; urgency=high

  * Do not include /usr/share/info/dir.gz file in binary package if
    install-info is present during the build. Closes: #597407.

 -- Santiago Vila <sanvila@debian.org>  Sun, 19 Sep 2010 17:09:36 +0200

gettext (0.18.1.1-2) unstable; urgency=medium

  * Changed lynx to lynx-cur in gettext Recommends, as lynx is a dummy
    transitional package. Closes: #595741.

 -- Santiago Vila <sanvila@debian.org>  Sat, 11 Sep 2010 13:11:40 +0200

gettext (0.18.1.1-1) unstable; urgency=low

  * New upstream release.
  * Added Conflicts: autopoint (<= 0.17-11) to gettext, as the old dummy
    autopoint had a dependency on gettext that should have been versioned
    and the current gettext package no longer contains the autopoint script.
  * Dropped cvs and rcs from Build-Depends. No longer needed.
  * Dropped options --without-cvs and --with-git from ./configure call,
    as those are now the default.
  * Added Build-Depends: libunistring-dev.

 -- Santiago Vila <sanvila@debian.org>  Sun, 13 Jun 2010 14:34:30 +0200

gettext (0.18-1) unstable; urgency=low

  * New upstream release.
  * When called with options --statistics and --verbose, msgfmt now prints
    the filename as a prefix of the statistics line. Closes: #320174.
  * Changed 50gettext.el to behave if gettext-el is removed but not purged.
    Thanks to Kevin Ryde. Closes: #422664.
  * Fixed infinite loop in po-previous-translated-entry. Closes: #496944.
  * Makevars now allows passing options for msgmerge. Closes: #538137.
  * autopoint now supports multiple PO directories. Closes: #538150.
  * Upstream includes zh_CN translation. Closes: #559051.
  * Lots of programs now support --color. Closes: #573704.
  * Fixed xgettext problem with perl strings. Closes: #573770.
  * Changed autopoint so that it uses git instead of cvs. As the autopoint
    package was created to avoid gettext to depend on cvs, we are not going
    to make gettext to depend on git now. Moreover, as packages using
    autopoint and still having cvs in their build-depends would not work
    anymore even if autopoint is still kept in the gettext package, this
    effectively puts an end to the transition period: packages using
    autopoint must build-depend on autopoint now.
  * Do the actual move of autopoint stuff to the autopoint package.
  * Applied patch from Bruno Haible to not publicize the builder's name
    and email in the small git repository created for autopoint.
  * Added cvs, rcs and git to build-depends, because of the above.
  * Updated README.Debian to match current status of autopoint package.
  * Removed way obsolete versioned Replaces everywhere, as we don't
    support upgrades which skip releases.

 -- Santiago Vila <sanvila@debian.org>  Tue, 18 May 2010 13:52:36 +0200

gettext (0.17-11) unstable; urgency=low

  * Enable java on all architectures, by using default-jdk.
    Thanks to Petr Salinger. Closes: #578602.

 -- Santiago Vila <sanvila@debian.org>  Fri, 23 Apr 2010 20:21:10 +0200

gettext (0.17-10) unstable; urgency=low

  * Switch to 3.0 (quilt) source format, 10 patches.
  * Create an autopoint package. Packages using autopoint should now
    build-depend on it and drop cvs if they don't use it directly.
    After packages have been updated, the autopoint script will actually
    be moved to the autopoint package. This procedure avoids breaking
    affected packages during the transition period.
  * gettext now recommends autopoint, not cvs.
  * Rewrite of README.Debian to match reality.
  * Added homepage.

 -- Santiago Vila <sanvila@debian.org>  Sun, 28 Feb 2010 17:43:26 +0100

gettext (0.17-9) unstable; urgency=low

  * Added several lintian overrides.
  * Do not ship empty directories in /usr/share/locale.
  * gettext-el: Update Depends to current emacs (emacs23).
  * Disable java for hurd-i386, kfreebsd-amd64 and kfreebsd-i386,
    as they don't have openjdk yet. Closes: #568390.

 -- Santiago Vila <sanvila@debian.org>  Sun, 14 Feb 2010 16:48:00 +0100

gettext (0.17-8) unstable; urgency=low

  * Modified Makefile.in files to avoid /usr/share/info/dir.gz.
  * Handle info files as indicated by policy 3.8.3.
  * Removed useless calls to install-docs.
  * Updated config.guess and config.sub.
  * Removed useless .la files.

 -- Santiago Vila <sanvila@debian.org>  Sun, 30 Aug 2009 16:25:06 +0200

gettext (0.17-7) unstable; urgency=low

  * Moved gettext-el to section lisp.
  * Disabled mono stuff, as compilation now fails in squeeze.
  * Moved cvs from Suggests to Recommends, as indicated by DEPENDENCIES
    document in source, for the benefit of people who tell apt to treat
    recommends as depends and just want to play with gettext. People building
    Debian packages should still read README.Debian. Closes: #506022.
  * Recognize the perl 5.10 operator '//'. Closes: #519759.
  * Build-Depends on openjdk-6-jdk, not jikes-classpath. Closes: #529496.
  * Really depend on libxml2 instead of using the embedded version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 17 Aug 2009 18:08:54 +0200

gettext (0.17-6) unstable; urgency=low

  * Added libncurses5-dev, libxml2-dev, libglib2.0-dev and libcroco3-dev
    to Build-Depends, needed for the --color option of the various programs.
    Otherwise, an embedded version is used, which is forbidden by policy.
  * Standards-Version: 3.8.0.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Nov 2008 12:49:56 +0100

gettext (0.17-5) unstable; urgency=low

  * Changed gettext-el dependency from emacsen to "emacs22 | emacsen".
  * Run "make distclean" only if Makefile exists, but do not ignore errors.
  * po-mode: Do not duplicate headers with emacs23. Closes: #504356.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Nov 2008 11:12:15 +0100

gettext (0.17-4) unstable; urgency=low

  * Fixed xgettext crash with some unicode chars. Closes: #493218.
  * Fixed wrong updating of POT-Creation-Date by msgmerge. Closes: #496282.
  * Both patches by the author.

 -- Santiago Vila <sanvila@debian.org>  Wed, 27 Aug 2008 18:42:00 +0200

gettext (0.17-3) unstable; urgency=low

  * Added lpia to the list of supported mono archs. Closes: #455842.
    Requested by Ubuntu, but completely harmless for Debian.
  * Added --disable-native-java to ./configure call to prevent gcj from
    being used even if it's installed. This avoids a Build-Conflicts: gcj
    and fixes a "FTBFS in unclean chroot" bug. Closes: #474901.
  * Changed po-mode.el to save buffer when PO-Revision-Date is hold.
    Approved by the author. Thanks to Kobayashi Noritada. Closes: #482364.
  * Converted doc-base file to UTF-8. Moved to "Programming" section.

 -- Santiago Vila <sanvila@debian.org>  Thu, 12 Jun 2008 18:48:44 +0200

gettext (0.17-2) unstable; urgency=medium

  * Changed po-mode.el to use new-style backquotes. Closes: #453103.
    Thanks to Agustin Martin for the report.

 -- Santiago Vila <sanvila@debian.org>  Fri,  7 Dec 2007 20:13:01 +0100

gettext (0.17-1) unstable; urgency=low

  * New upstream release. Closes: #451091. See the NEWS for details.
  * Public domain files are clearly marked as such. Closes: #412310.
  * Fixed xgettext problem with python unicode strings. Closes: #433743.
  * Added file to Build-Depends, as it's used by debian/rules. This was
    probably dropped in 0.12.1-6 after the build problem on ARM was fixed
    the right way by using the latest libtool. Previously, the old libtool
    used "file" on the ARM architecture.
  * gettext tools are now under GPL version 3.

 -- Santiago Vila <sanvila@debian.org>  Sun, 25 Nov 2007 11:35:30 +0100

gettext (0.16.1-2) unstable; urgency=low

  * Fixed po-check-file-header bug in po-mode.el. Closes: #385005.
  * Modified description of gettext-el package. Closes: #422649.
  * Moved java files to /usr/share/java. Closes: #376601.
  * Added missing library dependencies to gettext-base.
  * Fixed name for zh-cn team. Closes: #428594.
  * Fixed typo in po-mode.el. Closes: #412656.

 -- Santiago Vila <sanvila@debian.org>  Mon,  2 Jul 2007 20:29:14 +0200

gettext (0.16.1-1) unstable; urgency=low

  * New upstream release. See the NEWS file for details.
  * Use -no-site-file instead of --no-site-file, to make xemacs happy.
    Thanks to Luis Rodrigo Gallardo for the report. Closes: #399284.
  * Fixed xgettext segfault with lisp files, which made other packages
    to FTBFS. Thanks to Martin Pitt for the report. Closes: #400187.

 -- Santiago Vila <sanvila@debian.org>  Mon, 27 Nov 2006 23:31:08 +0100

gettext (0.15-3) unstable; urgency=medium

  * Fixed perl parser by updating x-perl.c from CVS (Closes: #386912).
  * Build C# stuff using mono, not pnet. This fixes a FTBFS bug, as pnet
    is currently uninstallable.

 -- Santiago Vila <sanvila@debian.org>  Fri,  3 Nov 2006 17:19:02 +0100

gettext (0.15-2) unstable; urgency=low

  * Fixed xgettext segfault on certain scheme input (Closes: #384698).
    Patch by Bruno Haible.

 -- Santiago Vila <sanvila@debian.org>  Thu, 31 Aug 2006 19:35:04 +0200

gettext (0.15-1) unstable; urgency=low

  * New upstream release (Closes: #381534).
  * Improved msgmerge error message (Closes: #305703).
  * Recognize Bash process substitution syntax (Closes: #374483).
  * The 'mkinstalldirs' shell script is no longer needed and no longer
    installed by gettextize (Closes: #378239).
  * The manual is now dual-licensed as GNU GPL and GNU FDL with no
    Invariant Sections, no Front-Cover Text, and no Back-Cover Texts,
    so we can distribute it in main in either case.
  * Applied patch from Bruno Haible to fix a bug in xgettext.
    See gnu.utils.bug for details.

 -- Santiago Vila <sanvila@debian.org>  Mon, 21 Aug 2006 18:45:14 +0200

gettext (0.14.6-1) unstable; urgency=low

  * New upstream release. From the NEWS file:
  - Updated the meaning of 'gcc-internal-format' to match GCC 4.1.
  * Changed x-php.c to fix xgettext problem with PHP (Closes: #366131).

 -- Santiago Vila <sanvila@debian.org>  Fri, 23 Jun 2006 17:39:10 +0200

gettext (0.14.5-4) unstable; urgency=low

  * Reverted change made to gettext.m4, as it breaks autopoint.
    The change will be made in the next upstream version anyway.
    Thanks a lot to Ben Pfaff for the report (Closes: #367263).
  * Added C# support for architectures having a recent pnet.
  * gettext now contains msgfmt.net.exe and msgunfmt.net.exe.
  * gettext-base now contains GNU.Gettext.dll.

 -- Santiago Vila <sanvila@debian.org>  Mon, 15 May 2006 18:01:08 +0200

gettext (0.14.5-3) unstable; urgency=low

  * Modified po-mode.el so that po-validate loads compile.el (Closes: #316852).
  * Modified gettext.sh to be more friendly to zsh (Closes: #343354).
  * Modified gettext.m4 to avoid calling AM_NLS twice (Closes: #353435).
  * Put gettext-base in section utils, following the override file.
  * Removed no longer required Build-Depends-Indep: texi2html.

 -- Santiago Vila <sanvila@debian.org>  Mon,  1 May 2006 19:11:56 +0200

gettext (0.14.5-2) unstable; urgency=low

  * New C++ ABI. gettext-base now Provides: libasprintf0c2.
  * Changed shlibs file accordingly.

 -- Santiago Vila <sanvila@debian.org>  Wed,  6 Jul 2005 17:30:10 +0200

gettext (0.14.5-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Mon,  6 Jun 2005 19:02:50 +0200

gettext (0.14.4-2) unstable; urgency=medium

  * Moved libgettextpo from gettext-base to gettext, where it belongs.
    As libgettextpo depends on libgettextlib, which is in gettext, this
    should remove an undeclared (and undesired) dependency of
    gettext-base on gettext (Closes: #307749). The blender package
    should work again if their dependencies are installed.
    Thanks to Steve Langasek for the report.
  * Moved Provides: libgettextpo0 from gettext-base to gettext.
  * gettext now Replaces: gettext-base (<= 0.14.4-1).
  * Moved the libgettextpo bit of shlibs in gettext-base to gettext.

 -- Santiago Vila <sanvila@debian.org>  Thu,  5 May 2005 17:02:08 +0200

gettext (0.14.4-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Thu, 14 Apr 2005 16:00:18 +0200

gettext (0.14.3-1) unstable; urgency=low

  * New upstream release.
  * Added watch file.

 -- Santiago Vila <sanvila@debian.org>  Thu, 31 Mar 2005 19:11:02 +0200

gettext (0.14.2-1) unstable; urgency=low

  * New upstream (bugfix) release.
  * The Debian diff is small again.
  * The copyright file is now in UTF-8.
  * A lot of files have relaxed licensing terms.
  * Improved manual about eval_gettext (Closes: #279992).
  * gettext.sh is now both a shell function library and a shell script,
    so /usr/share/gettext/gettext.sh is dropped (Closes: #292759).

 -- Santiago Vila <sanvila@debian.org>  Tue,  8 Mar 2005 15:16:28 +0100

gettext (0.14.1-10) unstable; urgency=low

  * Removed dependency on libgcj4 by not using gcj anymore (Closes: #292988).
  * Added "curl | wget | lynx" to the Recommends field and disabled GetURL
    call from urlget.c. This should be a better fix for Bug#244215.
  * gettext now includes gettext.jar for java development.
    For this to work, you will need a Java Virtual Machine.

 -- Santiago Vila <sanvila@debian.org>  Thu,  3 Feb 2005 18:18:22 +0100

gettext (0.14.1-9) unstable; urgency=low

  * Changed gettext.sh to be a symlink to /usr/share/gettext/gettext.sh.
  * Changed architecture-dependent build-dependencies to be inclusive
    rather than exclusive, to not break unreleased architectures.

 -- Santiago Vila <sanvila@debian.org>  Tue,  1 Feb 2005 18:29:02 +0100

gettext (0.14.1-8) unstable; urgency=low

  * Added java support, using jikes-classpath and also gcj when available.
  * Weird java error from msginit should now be gone (Closes: #244215).
  * gettext-base now provides libintl.jar (Closes: #259730).
  * Debian changelog is now in UTF-8.

 -- Santiago Vila <sanvila@debian.org>  Sat, 22 Jan 2005 20:21:12 +0100

gettext (0.14.1-7) unstable; urgency=medium

  * Fixed remaining vulnerability in autopoint, where temporary directories
    were created using an unknown umask (Closes: #286392).
    Patch by Bruno Haible. Thanks to Javier for the report.

 -- Santiago Vila <sanvila@debian.org>  Tue, 11 Jan 2005 17:55:30 +0100

gettext (0.14.1-6) unstable; urgency=high

  * Fixed xgettext misparsing of perl source (Closes: #269059).
    Patch by Guido Flohr, approved by Bruno Haible.
  * Added Suggests: gettext-doc to gettext (Closes: #270886).
  * Improved description of gettext-doc (Bug #270886 also).
  * Fixed gettextize and autopoint insecure behaviour regarding
    temp files (Closes: #278283). This is CAN-2004-0966.
    Patch by Mark J. Cox, slightly modified by Martin Pitt.
    The patch hardcodes `:' as the PATH separator, so it will not work
    on non-Unix Debian architectures (sorry), but should be good enough
    for the 11 architectures in sarge, the Hurd and the *BSDs.

 -- Santiago Vila <sanvila@debian.org>  Wed, 27 Oct 2004 19:21:30 +0200

gettext (0.14.1-5) unstable; urgency=low

  * Fixed Tag Table in info file. If this does not fix Bug #260048,
    install-info should find a better excuse to fail.

 -- Santiago Vila <sanvila@debian.org>  Sun, 18 Jul 2004 18:36:10 +0200

gettext (0.14.1-4) unstable; urgency=low

  * Fixed info file (Closes: #260048).

 -- Santiago Vila <sanvila@debian.org>  Sun, 18 Jul 2004 13:39:06 +0200

gettext (0.14.1-3) unstable; urgency=low

  * Simplified Build-Depends. Now glibc is required to be >= 2.2 by using
    a run-time test. This will break autobuilders still running potato.
  * Improved ABOUT-NLS wording (Closes: #239456).
  * Updated manual regarding python bug (Closes: #246334).
  * Updated gettext-tools/projects/TP/teams.html (Closes: #248224).
  * Relibtoolized with libtool 1.5.6-1 (Closes: #258178).
  * Added README.Debian (Closes: #258433).

 -- Santiago Vila <sanvila@debian.org>  Sat, 17 Jul 2004 19:11:02 +0200

gettext (0.14.1-2) unstable; urgency=low

  * Added libexpat1-dev to Build-Depends, for glade support.
  * Added libc0.1-dev to Build-Depends, for GNU/kFreeBSD.
  * Removed special-casing of knetbsd-gnu in debian/rules.

 -- Santiago Vila <sanvila@debian.org>  Sun, 14 Mar 2004 17:40:02 +0100

gettext (0.14.1-1) unstable; urgency=low

  * New upstream release, relibtoolized with libtool 1.5.2-1,
    autoconf 2.59-2 and automake 1.8.2-1.
  * Added --disable-csharp to ./configure call, just in case.

 -- Santiago Vila <sanvila@debian.org>  Sat, 14 Feb 2004 17:31:34 +0100

gettext (0.13.1-2) unstable; urgency=low

  * Fixed xgettext, which sometimes does not print comments found in
    source files. Patch by Bruno Haible (Closes: #227339).
  * Fixed msginit, which segfaults if input file has no header.
    Patch by Bruno Haible (Closes: #227652).

 -- Santiago Vila <sanvila@debian.org>  Thu, 15 Jan 2004 19:47:48 +0100

gettext (0.13.1-1) unstable; urgency=low

  * New upstream release.
  * Relibtoolized with libtool 1.5-8, autoconf 2.59-1 and automake 1.7.9-3.
    This should ensure a correct build under all architectures, but it also
    prevents libgettextsrc being linked against the previously installed
    libgettextlib, otherwise we would need a Build-Conflicts: gettext.
  * Added libc1-dev (>= 2.2) to Build-Depends, for GNU/K*BSD systems.

 -- Santiago Vila <sanvila@debian.org>  Mon,  5 Jan 2004 14:24:04 +0100

gettext (0.12.1-8) unstable; urgency=medium

  * gettext-base now Replaces: gettext (<= 0.12.1-1), since libasprintf
    shared library was present on gettext_0.12.1-1 (Closes: #216406).

 -- Santiago Vila <sanvila@debian.org>  Mon, 20 Oct 2003 19:04:48 +0200

gettext (0.12.1-7) unstable; urgency=low

  * Modified two Makefile.in files so that install-info is never called
    during the build, to prevent /usr/share/info/dir.gz to appear.
  * Added -D_REENTRANT to CFLAGS, since there are libraries here.

 -- Santiago Vila <sanvila@debian.org>  Thu,  9 Oct 2003 13:03:06 +0200

gettext (0.12.1-6) unstable; urgency=low

  * Updated libtool stuff using Debian libtool_1.5-2, required by ARM.
    Version 1.5-1 used in gettext_0.12.1-4 did not really work.

 -- Santiago Vila <sanvila@debian.org>  Sat, 13 Sep 2003 12:10:36 +0200

gettext (0.12.1-5) unstable; urgency=low

  * Strip static libraries using --strip-debug.
  * Strategically touch files in the build target to convince make that
    no file does really need to be regenerated using automake or autoconf.
  * While we are at it, the warning about autoheader should disappear too.

 -- Santiago Vila <sanvila@debian.org>  Fri, 12 Sep 2003 22:54:34 +0200

gettext (0.12.1-4) unstable; urgency=low

  * Reorganized debian/rules almost entirely.
  * Added ABOUT-NLS to /usr/share/doc/gettext-base.
  * Updated libtool stuff using Debian libtool. I expected this would allow
    the build-dependency on file to be removed, but I was wrong, see 0.12.1-6.
    Note: The size of the diff is not an error, it's the result of updating
    everything to not build-depend on autoconf either.
  * autopoint should now parse intl/VERSION correctly (Closes: #204384).
    Patch by Denis Barbier.
  * Restored libasprintf and libgettextpo shared libraries (closes: #209398),
    which should now be handled in a more orthodox way, namely:
  - Added a shlibs file to gettext-base.
  - gettext-base provides libasprintf0 and libgettextpo0.
  - gettext provides libasprintf-dev and libgettextpo-dev.

 -- Santiago Vila <sanvila@debian.org>  Fri, 12 Sep 2003 17:13:08 +0200

gettext (0.12.1-3) unstable; urgency=medium

  * Added file to Build-Depends. This should now build under ARM.

 -- Santiago Vila <sanvila@debian.org>  Tue, 15 Jul 2003 13:11:04 +0200

gettext (0.12.1-2) unstable; urgency=low

  * Modified autoconf-lib-link/m4/lib-prefix.m4 to prevent a duplicate
    macro definition problem. Patch by Bruno Haible (Closes: #196648).
  * Added build-dependency on automake1.7, because of the above.
  * Removed shared libraries libasprintf and libgettextpo. For now, only
    the static libraries will be supported.

 -- Santiago Vila <sanvila@debian.org>  Sun,  6 Jul 2003 19:00:18 +0200

gettext (0.12.1-1) unstable; urgency=low

  * New upstream release. gettext is now two packages in one.
    Debian gettext-base is upstream gettext-runtime, and Debian gettext
    is upstream gettext-tools (approximately). BTW, gettext-base is much
    smaller than before because message catalogs have been splitted.
  * Moved section 3 manpages from gettext to gettext-base, as recommended
    by PACKAGING. Updated Replaces: field accordingly.
  * mkinstalldirs is now in sync with archive.tar.gz (Closes: #157097).
  * autopoint uses func_fatal_error, not fatal_error (Closes: #158383).
  * autopoint needs cvs, so gettext Suggests: it (Closes: #166477).
  * If the m4 dir is an absolute path, ignore it (Closes: #192159).

 -- Santiago Vila <sanvila@debian.org>  Fri,  6 Jun 2003 21:47:08 +0200

gettext (0.11.5-1) unstable; urgency=low

  * New upstream release. Noteworthy changes:
  - There are now two shared libraries on which many of the tools depend,
    but there will be no shlibs file, or -dev package, or static libraries
    because the libraries are undocumented and for internal use only.
  - A file called libintl.jar was supposed to be created during the build,
    but gcj is excluded as a valid Java compiler, so to ensure that the
    package is built in exactly the same way on every architecture, there
    is now a Build-Conflicts: java-compiler. Sorry.
  - There is now a much improved manual. Interested parties are strongly
    encouraged to (re-)read it. In particular, people using gettextize on a
    regular basis should consider using the new `autopoint' tool instead.
  - Since there are now upstream manpages, the old ones are removed from
    the debian directory.
  * The following bugs in 0.10.40 are now fixed:
  - po-mode can now open a new .po file using emacs21 (Bug #137353).
  - xgettext -D does no longer break -j (Bug #147341).
  - Manual is clarified about xgettext and .pot extension (Bug #147624).
  - po-mode accepts mailing lists not at @li.org (Bugs #149137 and #154580).
  * More info at /usr/share/doc/gettext/NEWS.

 -- Santiago Vila <sanvila@debian.org>  Wed, 14 Aug 2002 11:30:28 +0200

gettext (0.10.40-8) unstable; urgency=low

  * Made gettext-el prerm and postinst fault-tolerant, since emacsen-common
    is not. Should allow upgrades from woody.

 -- Santiago Vila <sanvila@debian.org>  Mon, 22 Jul 2002 18:20:02 +0200

gettext (0.10.40-7) unstable; urgency=low

  * gettext does no longer depend on gettext-el.
  * gettext-el now depends on emacsen.

 -- Santiago Vila <sanvila@debian.org>  Sat, 20 Jul 2002 13:21:24 +0200

gettext (0.10.40-6) unstable; urgency=low

  * New Hurd ABI. Changed libc0.2-dev to libc0.3-dev in Build-Depends.
    Closes: #144562.

 -- Santiago Vila <sanvila@debian.org>  Sat, 27 Apr 2002 13:45:18 +0200

gettext (0.10.40-5) unstable; urgency=medium

  * Modified /etc/emacs/site-start.d/50gettext.el so that it only uses
    modify-coding-system-alist when it's actually ok to do so.
    This closes: #110416 (xemacs21) and also closes: #141446 (emacs19).

 -- Santiago Vila <sanvila@debian.org>  Wed, 10 Apr 2002 13:17:42 +0200

gettext (0.10.40-4) unstable; urgency=medium

  * Moved po-mode support to a new package, gettext-el. For now, gettext
    depends on it to ensure smooth upgrades from potato regardless of
    the upgrade method, but this dependency will be dropped after the
    release of woody.
  * Removed the dependency on emacsen-common while gettext still depends
    on gettext-el. This should be safe enough because emacsen-common is
    now more robust, but it is some sort of compromise. After the release
    of woody, gettext-el will depend on emacsen (not emacsen-common),
    to be in full compliance with debian emacs policy.

 -- Santiago Vila <sanvila@debian.org>  Sat,  9 Mar 2002 13:00:12 +0100

gettext (0.10.40-3) unstable; urgency=low

  * Modified prerm to be fault-tolerant regarding prerm scripts in
    previous gettext releases which did not depend on emacsen-common yet.
    This is possible because dpkg executes the new prerm if the old one fails.
    Should fix a bug which has been reported a lot of times.

 -- Santiago Vila <sanvila@debian.org>  Mon,  4 Feb 2002 17:44:42 +0100

gettext (0.10.40-2) unstable; urgency=low

  * Added support for DEB_BUILD_OPTIONS. The normal install target
    is used again, passing both INSTALL_PROGRAM and INSTALL_SCRIPT.
  * Moved ngettext and ngettext(1) to gettext-base. Updated Replaces.
  * Added dependency on emacsen-common (Closes: #48681, #65320).

 -- Santiago Vila <sanvila@debian.org>  Sat,  2 Feb 2002 16:24:28 +0100

gettext (0.10.40-1) unstable; urgency=low

  * New upstream release. libintl is now under LGPL, not GPL.

 -- Santiago Vila <sanvila@debian.org>  Sun, 16 Sep 2001 14:26:02 +0200

gettext (0.10.39-2) unstable; urgency=medium

  * Put new manpages where they belong (Closes: #107651).

 -- Santiago Vila <sanvila@debian.org>  Sat,  4 Aug 2001 18:25:55 +0200

gettext (0.10.39-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Fri, 27 Jul 2001 18:45:26 +0200

gettext (0.10.38-4) unstable; urgency=medium

  * According to the Debian diff, aclocal.m4 is modified and then some files
    in the `m4' subdirectory, in that order. This may make aclocal.m4 to be
    regenerated during the build, but the `missing' script is unable to handle
    that if automake is not present. Instead of adding a Build-Depends,
    debian/rules now touches aclocal.m4 in the build target (Closes: #104746).

 -- Santiago Vila <sanvila@debian.org>  Sat, 14 Jul 2001 16:43:30 +0200

gettext (0.10.38-3) unstable; urgency=medium

  * Added libc6.1-dev (>= 2.2) to Build-Depends for alpha and ia64.
    Thanks to Matt Taggart for the report.
  * Rightly refer to the GNU *General* Public License in the documentation.
    Reported by André Dahlqvist (Closes: #102237).
  * Modified 50gettext.el to tell Emacs how to determine automatically the
    coding system of every PO file. (Closes: #103530).
    Thanks to Gaute B Strokkenes for the report.

 -- Santiago Vila <sanvila@debian.org>  Fri, 13 Jul 2001 08:07:16 +0200

gettext (0.10.38-2) unstable; urgency=medium

  * Made gettext.m4 to work in packages which use autoconf-2.50.
    Patch by Bruno Haible (Closes: #99732).

 -- Santiago Vila <sanvila@debian.org>  Sat, 23 Jun 2001 17:14:49 +0200

gettext (0.10.38-1) unstable; urgency=low

  * New upstream release.
  * gettext.m4 syntax should be really fixed this time (Closes: #94362).
  * gettextize now installs plural.c (Closes: #98163).

 -- Santiago Vila <sanvila@debian.org>  Sat, 26 May 2001 16:15:08 +0200

gettext (0.10.37-1) unstable; urgency=low

  * New upstream release.
  * Fixes gettext.m4 syntax (Closes: #94362).

 -- Santiago Vila <sanvila@debian.org>  Tue, 24 Apr 2001 18:39:19 +0200

gettext (0.10.36-2) unstable; urgency=low

  * Registered HTML docs using doc-base (Closes: #63379).
  * Added manpages for every executable (Closes: #92200, #92201).
    Thanks a lot to Michael Piefel for contributing them.
  * Applied two patches from Bruno Haible:
  - Workaround an automake-1.4 bug (Closes: #93119).
  - Removed undeclared build-dependency on itself (Closes: #93275).

 -- Santiago Vila <sanvila@debian.org>  Fri, 13 Apr 2001 17:42:20 +0200

gettext (0.10.36-1) unstable; urgency=low

  * New upstream release. It should fix the following bugs:
  - Documentation is now more accurate (Closes: #28696).
  - DESTDIR is now supported (Closes: #38414, #41823, #52571, #85311).
  - gettextize now prints the right aclocal directory (Closes: #38935, #52858).
  - intl/Makefile.in removes libintl.h upon clean (Closes: #56039).
  - gettextize now checks for $gettext_dir before using it (Closes: #69519).
  - Norwegian Nynorsk is now "nn" (Closes: #87735).
  * Added the file NEWS to the doc directory.
  * Removed build-dependency on texinfo, since the .texi is now untouched.
  * glibc >= 2.2 is now required for the build, to avoid the creation of
    a shared libintl library with features not included in libc.
  * No more ./configure --with-included-gettext. This is also required
    to avoid the shared library.

 -- Santiago Vila <sanvila@debian.org>  Tue,  3 Apr 2001 10:43:23 +0200

gettext (0.10.35-17) unstable; urgency=low

  * Build-Depends-Indep: texi2html, not tetex-bin.
  * Updated config.guess and config.sub for ia64 (Closes: #81900).
  * Modified autoload invocation to pass a 4th argument (Closes: #83521).

 -- Santiago Vila <sanvila@debian.org>  Tue, 30 Jan 2001 18:06:09 +0100

gettext (0.10.35-16) unstable; urgency=low

  * Build-Depends: texinfo, since the .texi source is modified (Bug #77977).
  * Build-Depends-Indep: tetex-bin (for texi2html).
  * Fixed Bug #79027: gettextize --force --copy destroys intl/CVS.
    Patch from Bruno Haible <haible@ilog.fr>.

 -- Santiago Vila <sanvila@debian.org>  Sat,  9 Dec 2000 18:09:42 +0100

gettext (0.10.35-15) unstable; urgency=low

  * Updated po-mode.el to latest version (Closes: #64093).
  * Added missing `\' to intl/Makefile.in uninstall target (Closes: #67308).

 -- Santiago Vila <sanvila@debian.org>  Wed, 19 Jul 2000 12:02:39 +0200

gettext (0.10.35-14) unstable; urgency=low

  * Applied patch from GCC developers to support --keyword=id:argnum.
    This is required to regenerate the .po file for GCC (Bug #57136).
  * debian/rules: Install po-mode.el by hand, so that we do not need
    to Build-Depends on emacsen (Bug #62621).
  * Standards-Version: 3.1.1.

 -- Santiago Vila <sanvila@ctv.es>  Mon, 24 Apr 2000 16:41:50 +0200

gettext (0.10.35-13) frozen unstable; urgency=low

  * intl/explodename.c: Rewrite _nl_find_language so that it compiles
    with a K&R compiler (Bug #56030, reported by Kevin Dalley).

 -- Santiago Vila <sanvila@ctv.es>  Tue, 25 Jan 2000 18:42:36 +0100

gettext (0.10.35-12) unstable; urgency=low

  * Use install-strip target instead of just overriding INSTALL_PROGRAM.
    Should make strip happy about shell scripts (Bug #54000).

 -- Santiago Vila <sanvila@ctv.es>  Tue, 11 Jan 2000 19:21:14 +0100

gettext (0.10.35-11) unstable; urgency=low

  * Added Japanese message catalog from ja-trans_0.5-3.

 -- Santiago Vila <sanvila@ctv.es>  Fri, 22 Oct 1999 13:00:04 +0200

gettext (0.10.35-10) unstable; urgency=low

  * Added a Replaces field to gettext-base for smooth upgrading from
    version 0.10.35-8 or earlier (Bug #40690).

 -- Santiago Vila <sanvila@ctv.es>  Mon,  5 Jul 1999 20:43:48 +0200

gettext (0.10.35-9) unstable; urgency=low

  * Created gettext-base, containing the gettext binary.

 -- Santiago Vila <sanvila@ctv.es>  Mon, 28 Jun 1999 18:23:05 +0200

gettext (0.10.35-8) unstable; urgency=low

  * Moved to base section.
  * Use autoload for emacs po-mode (Bug #32745).

 -- Santiago Vila <sanvila@ctv.es>  Sun,  7 Mar 1999 17:25:23 +0100

gettext (0.10.35-7) frozen unstable; urgency=high

  * Applied patch (from glibc-2.1.111) to fix security problem (Bug #28850).
    NMU made by Vincent Renardias.
  * By popular demand, make byte-compiling less verbose.

 -- Santiago Vila <sanvila@ctv.es>  Mon, 25 Jan 1999 19:47:17 +0100

gettext (0.10.35-6) frozen unstable; urgency=low

  * Applied a patch to compile under alpha (fixes bug #30748).

 -- Santiago Vila <sanvila@ctv.es>  Thu, 17 Dec 1998 19:23:08 +0100

gettext (0.10.35-5) frozen unstable; urgency=low

  * Moved info unregistering from postrm to prerm.
  * Added a manpage for gettext, it tells the user to read the info files
    or the HTML docs in the gettext-doc package (Bug #6287).
  * Follow emacsen policy to byte-compile po-mode.el (Bug #29953).
    (Thanks to Mitsuru Oka for the hints).

 -- Santiago Vila <sanvila@ctv.es>  Mon, 30 Nov 1998 20:37:28 +0100

gettext (0.10.35-4) unstable; urgency=low

  * Updated config.guess and config.sub from automake 1.3 for the ARM
    architecture (Bug#26283). NMU made by Jim Pick <jim@jimpick.com>.
  * Added HTML docs, in a separate package.

 -- Santiago Vila <sanvila@ctv.es>  Tue, 20 Oct 1998 18:20:03 +0200

gettext (0.10.35-3) frozen unstable; urgency=medium

  * Added --with-included-gettext to the configure command line.
    Without this option, if gettext is installed while it is being built,
    the resulting gettext segfaults under certain locales.
  * Suggests: emacsen, according to latest policy (Bug #23378).

 -- Santiago Vila <sanvila@ctv.es>  Thu,  2 Jul 1998 18:32:31 +0200

gettext (0.10.35-2) frozen unstable; urgency=high

  * First upload for hamm, after approval from upstream author.

 -- Santiago Vila <sanvila@ctv.es>  Tue, 26 May 1998 22:14:21 +0200

gettext (0.10.35-1) experimental; urgency=low

  * New upstream release. The Texinfo manual have been clarified and
    this should fix Bug #20072 (gettext ignores "xgettext:c-format" in the
    same line). The comment must be before the string to be translated.

 -- Santiago Vila <sanvila@ctv.es>  Sat,  2 May 1998 18:09:01 +0200

gettext (0.10.32-1) experimental; urgency=low

  * Removed libintl.h and libintl.a by hand.
  * More detailed copyright file.
  * Removed debstd dependency.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 12 Nov 1997 11:47:25 +0100

gettext (0.10.32-0) experimental; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 10 Sep 1997 21:15:29 +0200

gettext (0.10.31-0) experimental; urgency=low

  * New upstream release. Fixes the info bug.

 -- Santiago Vila <sanvila@ctv.es>  Thu, 28 Aug 1997 11:07:11 +0200

gettext (0.10.27-0) experimental; urgency=low

  * Added MD5 sums.
  * First libc6 release.
  * Some minor debian/rules changes.
  * Untouched pristine tar.gz source.
  * New upstream version (using new files ltconfig and ltmain.sh taken
    from libtool 1.0 to make it build and install properly).
  * debian/tmp/usr/share/locale/locale.alias removed by hand to avoid
    conflict with the one in the `locales' package.
  * Removed "--with-included-gettext" from the configure command line.

 -- Santiago Vila <sanvila@ctv.es>  Tue, 29 Jul 1997 20:25:03 +0200

gettext (0.10.26-1) experimental; urgency=low

  * Converted to Standards-Version 2.1.2.2.
  * New upstream version.
  * Added updated translations for "sv", "es" and "ko".
  * Moved to experimental.
  * New maintainer.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 5 Feb 1997 20:24:45 +0100

Mon Sep 16 17:15:48 1996  Erick Branderhorst  <branderh@debian.org>

        * upgraded to mainstream 0.10.24 (not dsc yet)

Wed Jul 17 14:58:30 1996  Erick Branderhorst  <branderh@debian.org>

        * debian.rules (d): 2
        * debian.rules: install unstripped libintl.a (reported by
        J.H.M. Dassen)

Mon Jul  8 19:44:27 1996  Erick Branderhorst  <branderh@debian.org>

        * upgraded to alpha 0.10.23

Mon Jul  1 19:44:27 1996  Erick Branderhorst  <branderh@debian.org>

        * Semi public releases drove up the revision number to 3 (Sorry)
        * debian.rules (binary): for this moment back to static libs
        only, because this gettext code seems to be implemented with glibc
        right now and will probably find its way in libc6.
        * debian.control: a gettext package entry
        * only package been provided right now from the gettext
        sources is the gettext package.

Sat Jun 22 11:18:48 1996  Erick Branderhorst  <branderh@debian.org>

        * debian.rules (binary): install so lib and symlinks
        * debian.rules (build): CFLAGS = -O2 -fPIC, so lib
        * debian.rules (build): no static -N linking

Fri Jun 21 15:02:24 1996  Erick Branderhorst  <branderh@debian.org>

        * mainstream alpha version 0.10.20

Tue Jun 11 11:24:53 1996  Erick Branderhorst  <branderh@debian.org>

        * mainstream alpha version 0.10.19

Tue Jun 11 11:24:53 1996  Erick Branderhorst  <branderh@debian.org>

        * updated nl.po
        * mainstream alpha version 0.10.16
        * added README-alpha message in debian.README

Mon Jun 10 09:46:57 1996  Erick Branderhorst  <branderh@debian.org>

        * Initial debian release
